@echo off

rem
rem     DragonSphere -- demo disk driver batch file
rem
rem     by Brian Reynolds       14-Jul-93
rem

if not exist config.dra install

set mads=
call setsnd.bat

:loopdemo
cls
echo ***************************************************
echo *                  DRAGON SPHERE                  *
echo * Copyright (c) 1993 by MicroProse Software, Inc. *
echo ***************************************************
echo * "DRAGON"         Runs full demo once            *
echo * "DRAGON GAME"    Runs game demo only            *
echo * "DRAGON LOOP"    Loop opening demo (no ESC key) *
echo ***************************************************
echo Loading DRAGON SPHERE demonstration (version 1.01) . . .
if "%1" == "loop" goto noesc
if "%1" == "LOOP" goto noesc
echo (Press ESC key at any time to exit).
echo.

:noesc

pauses
if errorlevel 2 goto noemsmem
if errorlevel 3 goto noconvmem

if "%1" == "game" goto game
if "%1" == "GAME" goto game

if "%1" == "LOOP" goto next
if "%1" == "loop" goto next

:next
echo Loading DRAGON SPHERE cinematic demo . . .
echo.
animview %mpslabs% -p @demodisk.res
if "%1" == "LOOP" goto loopdemo
if "%1" == "loop" goto loopdemo

if errorlevel 1 goto done

goto startgame

:game
animview %mpslabs% -p @labslogo.res
if errorlevel 1 goto done

:startgame
echo Loading DRAGON SPHERE interactive demo . . .
echo.
sphere -p %mpslabs%

:done
cls
echo DRAGON SPHERE --
echo    Coming in Fall 1993 to a
echo       software store near you!
echo.

goto stop

:noemsmem
cls
echo In order to run the DRAGON SPHERE demo, you must
echo have an EMS driver installed.  You must also have at least
echo 2 megabytes (total) of memory in your system.  An EMS driver
echo can generally be installed by adding the line:
echo     device=c:\dos\emm386.exe
echo to your CONFIG.SYS file.
goto nomem

:noconvmem
cls
echo You do not have enough free memory to run the DRAGON
echo demo.  You must have at least 575,000 bytes of free memory
echo (as shown by the CHKDSK or MEM command) in order to view
echo the demo.  Usually, easiest way to free up memory is to
echo remove "TSR" programs from your AUTOEXEC.BAT file.
echo.

:nomem
echo.
echo We are very sorry for the inconvenience.
echo.
:stop
set mpslabs=

